1.0
1.0
get /v1/transit-gateways/{transit_gateway_id}/vpc-connections
Description
Transit Gateway VPC 연결 목록 조회.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | transit_gateway_id required | Transit Gateway ID Example : | string | None |
| query | size optional | size Example : 20 | any of [integer, null] | 20 |
| query | page optional | page Example : 0 | any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc | any of [string, null] | None |
| query | id optional | Transit Gateway VPC 연결 ID Example : | any of [string, null] | None |
| query | vpc_id optional | VPC ID Example : | any of [string, null] | None |
| query | vpc_name optional | VPC 명 Example : | any of [string, null] | None |
| query | state optional | 상태 Example : | any of [enum (CREATING, ACTIVE, DELETING, DELETED, ERROR), null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | TransitGatewayVpcConnectionListResponse |
| 400 | Bad Request | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/transit-gateways/{transit_gateway_id}/vpc-connections
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"transit_gateway_vpc_connections": [
{
"account_id": "",
"created_at": "2024-05-17T00:23:17Z",
"created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"id": "",
"modified_at": "2024-05-17T00:23:17Z",
"modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
"state": "CREATING",
"transit_gateway_id": "",
"vpc_id": "",
"vpc_name": ""
}
]
}